/* **********************************************************
 * Copyright (C) 1998-2000 VMware, Inc.
 * All Rights Reserved
 * $Id: phystrack.h,v 1.2 2000/12/28 01:18:18 edward Exp $
 * **********************************************************/

/*
 * phystrack.h --
 *
 *    track down the utilization of the physical pages
 */

#ifndef PHYSTRACK_H
#define PHYSTRACK_H

#define INCLUDE_ALLOW_MODULE
#include "includeCheck.h"

struct PhysTracker;

EXTERN struct PhysTracker *PhysTrack_Init(void);

EXTERN void PhysTrack_Add(struct PhysTracker *, MPN );
EXTERN void PhysTrack_Remove(struct PhysTracker *, MPN );
EXTERN Bool PhysTrack_Test(struct PhysTracker *, MPN );

EXTERN void PhysTrack_Cleanup(struct PhysTracker *);
#endif






